---
sidebar_position: 9
description: Get receipt and other functions to work with CDEK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, CDEK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get receipt
 Gets a receipt for the order



`Function GetReceipt(Val Token, Val UUID, Val GetFile = False, Val TestAPI = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | UUID | --uuid | String | &#x2714; | UUID of the receipt received during its creation |
  | GetFile | --getfile | Boolean | &#x2716; | True > PDF file data will be received, False > receives CDEK server response |
  | TestAPI | --testapi | Boolean | &#x2716; | Flag to use test API for requests |

  
  Returns:  Map Of KeyAndValue, BinaryData - serialized JSON response from CDEK or a PDF file

:::tip
The receipt must be previously created. See CreateReceipt

A link to the receipt file for orders is available within 1 hour

Method at API documentation: [Receiving order receipt](https://api-docs.cdek.ru/36969694.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token = "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9. ...";
    UUID  = "6b4731d4-6715-4ad7-a21e-087d8c178ebe";

    Result = OPI_CDEK.GetReceipt(Token, UUID, , True); // Server response with a URL
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint cdek GetReceipt \
             --token "***" \
             --uuid "5fb93e7c-91a2-4872-b4e4-21d4d80fbd10" \
             --testapi "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint cdek GetReceipt ^
             --token "***" ^
             --uuid "5fb93e7c-91a2-4872-b4e4-21d4d80fbd10" ^
             --testapi "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "entity": {
  "uuid": "e22c3284-e811-4eb3-8bbb-36460e42250e",
  "orders": [
   {
    "order_uuid": "9e15fe3c-2071-4ed8-9ded-70df723825d3"
   }
  ],
  "copy_count": 1,
  "type": "tpl_russia",
  "statuses": [
   {
    "code": "ACCEPTED",
    "name": "Принят",
    "date_time": "2025-12-10T20:09:22+00:00"
   },
   {
    "code": "INVALID",
    "name": "Некорректный запрос",
    "date_time": "2025-12-10T20:09:23+00:00"
   }
  ]
 },
 "requests": [
  {
   "request_uuid": "8d30cd85-bd7d-4b50-952f-b1ca1c468102",
   "type": "CREATE",
   "date_time": "2025-12-10T20:09:22+00:00",
   "state": "INVALID",
   "errors": [
    {
     "code": "v2_orders_number_is_empty",
     "additional_code": "0x1E0EBE20",
     "message": "Entity is empty. All orders are incorrect"
    }
   ],
   "warnings": [
    {
     "code": "v2_order_invalid",
     "message": "Order is invalid 9e15fe3c-2071-4ed8-9ded-70df723825d3"
    }
   ]
  }
 ],
 "related_entities": []
}
```
